Name:           liberasurecode
Version:        1.0.7
Release:        2%{?dist}
Summary:        Erasure Code API library written in C with pluggable backends

# This is a 2-clause BSD with clause numbers edited out for some reason.
# Some files are under "heavily cut-down "BSD license", see
# src/utils/chksum/md5.c for example.
# XXX There is also GPLv3+ in m4/ that upstream is working to remove.
License:        BSD
URL:            https://bitbucket.org/tsg-/liberasurecode/
# Bitbucket's web export naming is like the old github (== awful), so we pull
# the tag using git CLI. Save the current command for Source0 below.
# git archive -o ../liberasurecode-1.0.7.tar.gz --prefix=liberasurecode-1.0.7/ v1.0.7
Source0:        %{name}-%{version}.tar.gz
Patch2:         liberasurecode-1.0.5-docs.patch
Patch3:         liberasurecode-1.0.7-cflags.patch

BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libtool
BuildRequires:  doxygen

%description
An API library for Erasure Code, written in C. It provides a number
of pluggable backends, such as Intel ISA-L library.

%package doc
Summary:        Documentation for %{name}

%description doc
The documentation for %{name}.

%package devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q
%patch2 -p1
%patch3 -p1

%build
autoreconf -i -v
%configure --disable-static
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool
make V=1 %{?_smp_mflags}

%check


%install
%make_install
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%license COPYING
%doc README.md
%{_libdir}/*.so.*

%files doc
%{_datadir}/doc/liberasurecode/html/*

%files devel
%{_includedir}/*
%{_libdir}/*.so


%changelog
* Fri Apr 17 2015 Pete Zaitcev <zaitcev@redhat.com> 1.0.7-2
- Add a patch to obey CFLAGS from the build system
- Require doxygen, else -doc package fails to install

* Wed Apr 15 2015 Pete Zaitcev <zaitcev@redhat.com> 1.0.7-1
- Release 1.0.7: needed by PyECLib 1.0.7
- Fetch with "git archive": no more tsg--liberasurecode-4e1290ea61e5.tar.bz2
- Drop patch for -ldl that upstream accepted

* Sun Mar 29 2015 Pete Zaitcev <zaitcev@redhat.com> 1.0.5-1
- Initial release
